            #GIT_CMT=73b5c94761416fd77da3c0fdc761481ef5b9d3d5
Name:           oracle-ovirt-release-el7
Version:        1.0
Release:    2.el7
Summary:        oVirt yum repository configuration
Obsoletes:      ovirt-release42

Group:          System Environment
License:        GPLv2

Source0:        oracle-ovirt-ol7.repo
Source1:        LICENSE

BuildArch:     x86_64
Requires:      oraclelinux-release-el7
Requires:      oracle-gluster-release-el7
Requires:      grep
Requires:      sed
Requires:      yum-utils
Requires:      curl

%description
This package contains the oVirt yum repository configuration.

%prep
%setup  -q  -c -T

%build


%install
rm -rf $RPM_BUILD_ROOT


install -m 755 -d $RPM_BUILD_ROOT/usr/share/doc/%{name}/
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE0} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -m 755 %{SOURCE1}  $RPM_BUILD_ROOT%{_datadir}/doc/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{_datadir}/doc/%{name}
%{_datadir}/doc/%{name}/*
%config(noreplace) /etc/yum.repos.d/*


%pre
if [ -f /etc/yum.repos.d/public-yum-ol7.repo ];then
   enabled_repos=$(yum-config-manager | grep ol7 | grep "^\[" | egrep -v -e "x86_64|aarch64" | sed -e "s|\[||" | sed -e "s|\]||")
   echo $enabled_repos > /etc/yum.repos.d/.oracle_enable_repolist
   touch /etc/yum.repos.d/.public-yum-ol7.repo.moved

   mv /etc/yum.repos.d/public-yum-ol7.repo /etc/yum.repos.d/public-yum-ol7.repo.`date +%Y%m%d`
   if [ ! -f /etc/yum.repos.d/.ol_yum_configure ]; then 
     echo "" 
RED='\033[0;31m'
 NC='\033[0m' # No Color
 bold=$(tput bold)
 normal=$(tput sgr0)

echo -e "${RED}${bold}IMPORTANT: A legacy Oracle Linux yum server repo file was found.${normal}${NC} Oracle Linux yum server repository configurations have changed which means public-yum-ol7.repo will no longer be updated. New repository configuration files have been installed but are disabled. ${RED}${bold}To complete the transition, run this script as the root user:${normal}${NC}"
echo
echo -e "${RED}${bold}/usr/bin/ol_yum_configure.sh${normal}${NC}"
echo
echo "See https://yum.oracle.com/faq.html for more information."

     echo "   "
   fi
fi

%post
if [ ! -f /etc/yum/vars/ociregion ]; then
(http_proxy="";curl --max-time 1 -q -f http://169.254.169.254/opc/v1/instance/ > /dev/null 2>&1)
if [ $? != 0 ]; then
  echo > /etc/yum/vars/ociregion
else
 instance_region=$(http_proxy="";curl http://169.254.169.254/opc/v1/instance/ -s | jq -r '.region' | cut -d '-' -f 2)
  if [ -z "$instance_region" ]; then
    echo > /etc/yum/vars/ociregion
  else
    echo "-$instance_region" > /etc/yum/vars/ociregion
  fi
 fi
fi
(http_proxy="";curl --max-time 1 -q -f http://169.254.169.254/opc/v1/instance/ > /dev/null 2>&1)
if [ $? = 0 ]; then
 sed -i "s|https:|http:|" /etc/yum.repos.d/oracle-ovirt-ol7.repo
fi
if [ -f /etc/yum.repos.d/.public-yum-ol7.repo.moved ] && [ -f /etc/yum.repos.d/.oracle_enable_repolist  ]; then
    enabled_repos=`cat /etc/yum.repos.d/.oracle_enable_repolist`
    repofound=0
    for i in `grep "^\[" /etc/yum.repos.d/oracle-ovirt-ol7.repo | sed -e "s|\[||" | sed -e "s|\]||"`; do
       if echo $enabled_repos | egrep -we "$i|public_$i"  > /dev/null; then
        repofound=1
       fi
    done
    if [ $repofound = 0 ]; then
     mv /etc/yum.repos.d/oracle-ovirt-ol7.repo /etc/yum.repos.d/oracle-ovirt-ol7.repo.incomplete
    else
    for i in `grep "^\[" /etc/yum.repos.d/oracle-ovirt-ol7.repo | sed -e "s|\[||" | sed -e "s|\]||"`; do
       if echo $enabled_repos | egrep -we "$i|public_$i"  > /dev/null; then
         yum-config-manager --enable $i > /dev/null
         sed -i -e "{s/$i //
                  s/$i$//
                  s/public_$i$//
                  s/public_$i //}" /etc/yum.repos.d/.oracle_enable_repolist
       else
         if [ $repofound -eq 1 ]; then
           yum-config-manager --disable $i > /dev/null
         fi
       fi
    done
   fi
fi

if [ -e /etc/sysconfig/rhn/systemid ];then
   if [ -f /etc/yum.repos.d/oracle-ovirt-ol7.repo.incomplete ]; then
    sed -i 's/enabled=1/enabled=0/' /etc/yum.repos.d/oracle-ovirt-ol7.repo.incomplete
   else
    sed -i 's/enabled=1/enabled=0/' /etc/yum.repos.d/oracle-ovirt-ol7.repo
   fi
fi

if [ -f /etc/yum.repos.d/.public-yum-ol7.repo.moved ] && [ -f /etc/yum.repos.d/oracle-ovirt-ol7.repo ]; then
  mv /etc/yum.repos.d/oracle-ovirt-ol7.repo /etc/yum.repos.d/oracle-ovirt-ol7.repo.disabled
fi

%posttrans
if [ -f /etc/yum.repos.d/.public-yum-ol7.repo.moved ]; then
   mv /etc/yum.repos.d/public-yum-ol7.repo.`date +%Y%m%d` /etc/yum.repos.d/public-yum-ol7.repo
   rm -f /etc/yum.repos.d/.public-yum-ol7.repo.moved
fi

if [ -f /etc/yum.repos.d/ovirt-4.2.repo ]; then
   mv /etc/yum.repos.d/ovirt-4.2.repo /etc/yum.repos.d/ovirt-4.2.repo.old.`date +%Y%m%d`
fi

if [ -f /etc/yum.repos.d/ovirt-4.2-dependencies.repo ]; then
   mv /etc/yum.repos.d/ovirt-4.2-dependencies.repo /etc/yum.repos.d/ovirt-4.2-dependencies.repo.old.`date +%Y%m%d`
fi

if [ -f /etc/yum.repos.d/public-yum-ol7.repo ]; then
	/usr/bin/ol_yum_configure.sh
fi

echo -e "Enabling oVirt 4.3 required Yum Channels..."
echo -e "Enabling ol7_latest Yum Channel..."
/usr/bin/yum-config-manager --enable ol7_latest > /dev/null
echo -e "Enabling ol7_kvm_utils Yum Channel..."
/usr/bin/yum-config-manager --enable ol7_kvm_utils > /dev/null
# check if UEK6 yum-channel is enabled - if not, enable UEK5 as minimum
checkuekrel=`yum-config-manager --downloadonly ol7_UEKR6 |grep -c "enabled = True"`
if [ "${checkuekrel}" = "0" ]; then
        echo -e "Enabling ol7_UEKR5 Yum Channel..."
        /usr/bin/yum-config-manager --enable ol7_UEKR5 > /dev/null
fi
echo -e "Enabling ol7_optional_latest Yum Channel..."
/usr/bin/yum-config-manager --enable ol7_optional_latest > /dev/null
echo -e "Enabling ol7_gluster6 Yum Channel..."
/usr/bin/yum-config-manager --enable ol7_gluster6 > /dev/null
echo -e "Required oVirt 4.3 Yum Channels enabled."
echo -e "Done."

%changelog
* Wed Oct 21 2020 Shubha Kulkarni <shubha.kulkarni@oracle.com> - 1.0-2.el7
-     component: Oracle Ovirt Release RPM (Shubha Kulkarni)

* Tue Mar 17 2020 Edward Leung <edward.leung@oracle.com> - 1.0-1.el7
- Copied files over

* Wed Mar 11 2020 Simon Coter <simon.coter@oracle.com> 1.0-1
- Initial package

